Map examples
Keyword-constrained map
Map only checkout-related URLs
```bash
curl https://api.faircompany.ai/v1/crawl/map \
-X POST \
-H "Authorization: Bearer fc_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"url": "https://docs.stripe.com",
"limit": 50,
"search": "checkout"
}'
```
```ts
const map = await fc.map({
url: "https://docs.stripe.com",
limit: 50,
search: "checkout",
});
console.log(map.count);
console.log(map.urls[0]);
```
```python
map_result = fc.map(
"https://docs.stripe.com",
limit=50,
search="checkout",
)
print(map_result.count)
print(map_result.urls[0] if map_result.urls else None)
```
```json
{
"tool": "faircrawl_map",
"arguments": {
"url": "https://docs.stripe.com",
"limit": 50,
"search": "checkout"
}
}
```
Subdomain expansion
curl https://api.faircompany.ai/v1/crawl/map \ -X POST \ -H "Authorization: Bearer $FAIRCRAWL_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "https://stripe.com", "limit": 100, "include_subdomains": true }'Sitemap-only
curl https://api.faircompany.ai/v1/crawl/map \ -X POST \ -H "Authorization: Bearer $FAIRCRAWL_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "https://docs.stripe.com", "sitemap_only": true }'